<?php
session_start();
require('fpdf.php');
require('cellfit.php');
require('ean13.php');
include($_SERVER[DOCUMENT_ROOT].'/kernel/conecta.php');



if( $_SESSION[user_nb_id] == '' )	$ID_USER = rand(1000,9999); else	$ID_USER = $_SESSION[user_nb_id];

define(PASTA_LOCAL,$_SERVER[DOCUMENT_ROOT].$CACTUX_CONF['path']);
$arquivo_pdf = PASTA_LOCAL.'/etiqueta_imprimir_'.$_GET[impressora].'_'.$ID_USER.'.pdf';

echo $arquivo_pdf;

$sql_prod = selecionar('produto','prod_tx_status',"!inativo"," AND prod_nb_id = '$_GET[id]' LIMIT 1 ");
$a_prod = carrega_array($sql_prod);

// $a_prod[prod_tx_nome] = 'PRODUTO TEST0E PRODUTO TEST0E';
// $a_prod[prod_tx_codigo] = '321123';
// $a_prod[prod_tx_valorVenda] = '99,99';
// $a_atac[atac_tx_qtde] = '3';
// $a_atac[atac_tx_valor] = '99,99';


$pdf=new PDF_EAN13(P,'mm',array(29,59));
$pdf->SetMargins(0,3);
$pdf->SetAutoPageBreak(false);
$pdf->AddPage('P','','90');

$pdf->Image('../../tamarin_local/cactus/imagens/tamarin.jpg',8,2,10,0,'JPG');

$pdf->Ln(10);
// if(strlen($a_prod[prod_tx_nome])<31){
$pdf->SetFont('Arial','B',7);
$pdf->MultiCell(29, 4, $a_prod[prod_tx_nome], 0, 1);

$pdf->SetFont('Arial','B',7);
// $pdf->Ln(10);

$pdf->SetXY(0,38);
$pdf->SetFont('Arial','B',8);
$pdf->CellFitScale(4,10,'R$',0,0,'');
$pdf->SetFont('','',30);
$pdf->CellFitScale(15,10,mostra_valor($a_prod[prod_tx_valorVenda]),0,0,'');

$pdf->Ln(2);
$pdf->Code39(1,50,$a_prod[prod_tx_codigo],1,4);

// $pdf->Output();
// exit;



$pdf->Output($arquivo_pdf,'F');

$id_impressora = id_impressora();

// bat_imprime($arquivo_pdf,$id_impressora);
$comando="\"$CONFIGURA[PDFVIEWER]\" /printto \"$CONFIGURA[IMPRESSORA_ETIQUETA]\" \"$arquivo_pdf\"";
echo $comando;
exec("$comando");